#!/usr/bin/perl

# Displays default remote ad for browsers that don't support ILAYER or IFRAME
#
# Modified:   Kurt Gray -- Mon Sep 11 14:31:21 EDT 2000     First rev. Adopted from admail_rotate.pl from www.andover.net
#             Kurt Gray -- Tue Sep 19 14:39:00 EDT 2000     Added ad position argument



# Script settings

   my $servername = $ENV{'SERVER_NAME'};
   $servername = 'http://' . $servername if $servername;
   my $cachebuster = time;


# Read inputs

   my $function = 'display' if $ENV{QUERY_STRING} =~ 'display';
   my $position = $1 if $ENV{QUERY_STRING} =~ /position\=(\d)/;
   $position ||= 1;
   
   my $siteid   = $1 if $ENV{QUERY_STRING} =~ /siteid\=(\w{7})/;
   $siteid   ||= 'to000en';


# Choose which banner to display (perhaps plain GIF in highest rotation)

   my $adid = '';

   $adrotate_file = "/usr/local/adsystem/dat/ad\_$position\_rotate.dat\.$siteid";
   if ( open (INFILE, "< $adrotate_file")) {
        while (<INFILE>) {
		chomp;
		$adid = $_ if substr($_, 0, 4) < 5;  
		last if $adid;
        }
	close INFILE;
   } else {
	print "Server: Can not read $adrotate_file: $!\n";
   }


   if ( ! $adid ) {
       $adid = 'qstx0319en';
       print "Server: No plain ads found. Serving default $adid";
   }


# Display the banner

   if ($function eq 'display') {

       print "Location: $servername/banner/$adid.gif\?$cachebuster\n\n";

# Ad was clicked on - Redirect to adlog.pl which redirects again

   } else {

       print "Location: $servername/cgi-bin/adlog.pl\?default\,$adid\n\n";

   }


__END__








